Orders
Retrieve an order
Returns a specific customer order by ID.
GET
/
orders
/
{order_id}
Retrieve an order
curl --request GET \
--url https://app.gomangrove.com/api/v1/orders/{order_id} \
--header 'Authorization: <api-key>'import requests
url = "https://app.gomangrove.com/api/v1/orders/{order_id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://app.gomangrove.com/api/v1/orders/{order_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 1529,
"order_status": "COMPLETE",
"customer": "AcmeCo",
"reference": "A1234567890",
"deal_date": "2025-01-28",
"expiry_date": null,
"currency": "USD",
"order_terms": "Pay on delivery",
"delivery_method": "RETIREMENT",
"deliveries": [
{
"friendly_id": "dl_H8pvrPHBQ3Dd76oL",
"project_name": "Southeast Capture",
"quantity": 20,
"price_in_cents_in_currency": 12000,
"delivery_total_in_cents_in_currency": 12000,
"currency": "USD",
"estimated_delivery_date": "2025-02-28",
"delivered_date": "2025-02-21",
"delivery_status": "DELIVERED",
"fulfilled_quantity": 20,
"delivered_quantity": 20,
"is_paid": true
}
],
"created_at": "2024-05-10T15:58:21.209Z",
"updated_at": "2024-05-10T15:58:21.209Z"
}"{}"{
"status": "error",
"statusCode": 404,
"errors": [
{
"message": "Record not found."
}
]
}Authorizations
Path Parameters
Response
200
Example:
1529
Example:
"COMPLETE"
Example:
"AcmeCo"
Example:
"A1234567890"
Example:
"2025-01-28"
Example:
"USD"
Example:
"Pay on delivery"
Example:
"RETIREMENT"
Show child attributes
Show child attributes
Example:
"2024-05-10T15:58:21.209Z"
Example:
"2024-05-10T15:58:21.209Z"
⌘I
Retrieve an order
